Inhoud
Index 🔎︎

# Val-functie

Converteert een tekenreeks naar een numerieke expressie.

## Syntaxis:

    Val (Tekst As String)

## Teruggegeven waarde:

Dubbel

## Parameters:

Tekst: String die een getal voorstelt.

Met gebruik van de Val-functie kunt u een tekenreeks die getallen voorstelt omzetten naar numerieke expressies. Dit is de afgeleide van de Str-functie. Als alleen een deel van de tekenreeks getallen bevat, worden alleen de eerste toepasselijke tekens van de tekenreeks geconverteerd. Als de tekenreeks helemaal geen getallen bevat, geeft de Val-functie de waarde 0 terug.

### Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleVal
        MsgBox Val("123.123")
        MsgBox Val("A123.123")
    End Sub